--- old/usr/src/man/man3c/strftime.3c	Sun Jun 29 11:52:21 2014
+++ new/usr/src/man/man3c/strftime.3c	Sun Jun 29 11:52:21 2014
@@ -1,4 +1,5 @@
 '\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\" Copyright (c) 2014 Gary Mills
 .\" Copyright (c) 2008, Sun Microsystems, Inc.  All Rights Reserved.
 .\" Copyright 1989 AT&T
@@ -10,7 +11,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH STRFTIME 3C "Jan 3, 2014"
+.TH STRFTIME 3C "Jun 24, 2014"
 .SH NAME
 strftime, strftime_l cftime, ascftime \- convert date and time to string
 .SH SYNOPSIS
@@ -21,16 +22,17 @@
 \fBsize_t\fR \fBstrftime\fR(\fBchar *restrict\fR \fIs\fR, \fBsize_t\fR \fImaxsize\fR,
      \fBconst char *restrict\fR \fIformat\fR,
      \fBconst struct tm *restrict\fR \fItimeptr\fR);
+.fi
+.LP
+.nf
 \fBsize_t\fR \fBstrftime_l\fR(\fBchar *restrict\fR \fIs\fR, \fBsize_t\fR \fImaxsize\fR,
      \fBconst char *restrict\fR \fIformat\fR,
      \fBconst struct tm *restrict\fR \fItimeptr\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBcftime\fR(\fBchar *\fR\fIs\fR, \fBchar *\fR\fIformat\fR, \fBconst time_t *\fR\fIclock\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBascftime\fR(\fBchar *\fR\fIs\fR, \fBconst char *\fR\fIformat\fR,
@@ -40,7 +42,8 @@
 .SH DESCRIPTION
 .sp
 .LP
-The \fBstrftime()\fR, \fBascftime()\fR, and \fBcftime()\fR functions place
+The \fBstrftime()\fR, \fBstrftime_l()\fR, \fBascftime()\fR, and \fBcftime()\fR
+functions place
 bytes into the array pointed to by \fIs\fR as controlled by the string pointed
 to by \fIformat\fR. The \fIformat\fR string consists of zero or more conversion
 specifications and ordinary characters.  A conversion specification consists of
@@ -52,7 +55,6 @@
 \fImaxsize\fR bytes are placed into the array. The \fBstrftime_l()\fR function
 behaves identically to \fBstrftime()\fR function, but instead of operating in
 the current locale, it operates in the locale specified by \fIloc\fR.
-.sp
 .LP
 If \fIformat\fR is \fB(char *)0\fR, then the locale's default format is used.
 For \fBstrftime()\fR the default format is the same as \fB%c\fR; for
@@ -60,7 +62,6 @@
 \fBcftime()\fR and \fBascftime()\fR first try to use the value of the
 environment variable \fBCFTIME\fR, and if that is undefined or empty, the
 default format is used.
-.sp
 .LP
 Each conversion specification is replaced by appropriate characters as
 described in the following list. The appropriate characters are determined by
@@ -470,12 +471,10 @@
 Locale's date and time representation as produced by \fBdate\fR(1).
 .RE
 
-.sp
 .LP
 If a conversion specification does not correspond to any of the above or to any
 of the modified conversion specifications listed below, the behavior is
 undefined and \fB0\fR is returned.
-.sp
 .LP
 The difference between \fB%U\fR and \fB%W\fR (and also between modified
 conversion specifications \fB%OU\fR and \fB%OW\fR) lies in which day is counted
@@ -484,7 +483,6 @@
 those days before the first Sunday or Monday in January for \fB%U\fR and
 \fB%W\fR, respectively.
 .SS "Modified Conversion Specifications"
-.sp
 .LP
 Some conversion specifications can be modified by the \fBE\fR and \fBO\fR
 modifiers to indicate that an alternate format or specification should be used
@@ -686,20 +684,16 @@
 .RE
 
 .SS "Selecting the Output Language"
-.sp
 .LP
-By default, the output of \fBstrftime()\fR, \fBcftime()\fR, and
-\fBascftime()\fR appear in U.S. English. The user can request that the output
-of \fBstrftime()\fR, \fBcftime()\fR, or \fBascftime()\fR be in a specific
-language by setting the \fBLC_TIME\fR category using \fBsetlocale()\fR.
+These routines produce output that is formatted according to the \fBLC_TIME\fR
+locale category.  They use either the current locale, or in the case of
+\fBstrftime_l()\fR, the locale supplied by \fIloc\fR.
 .SS "Time Zone"
-.sp
 .LP
 Local time zone information is used as though \fBtzset\fR(3C) were called.
 .SH RETURN VALUES
-.sp
 .LP
-The \fBstrftime()\fR, \fBcftime()\fR, and \fBascftime()\fR functions return the
+These functions return the
 number of characters placed into the array pointed to by \fIs\fR, not including
 the terminating null character. If the total number of resulting characters
 including the terminating null character is more than \fImaxsize\fR,
@@ -708,31 +702,20 @@
 .SH EXAMPLES
 .LP
 \fBExample 1 \fRAn example of the \fBstrftime()\fR function.
-.sp
 .LP
 The following example illustrates the use of \fBstrftime()\fR for the
 \fBPOSIX\fR locale. It shows what the string in \fIstr\fR would look like if
 the structure pointed to by \fItmptr\fR contains the values corresponding to
 Thursday, August 28, 1986 at 12:44:36.
-
-.sp
-.in +2
 .nf
-\fBstrftime (str, strsize, "%A %b %d %j", tmptr)\fR
+.IP
+\fBstrftime\fR(\fIstr\fR, \fIstrsize\fR, "%A %b %d %j", \fItmptr\fR);
 .fi
-.in -2
-
-.sp
 .LP
 This results in \fIstr\fR containing "Thursday Aug 28 240".
-
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
 .TS
 box;
 c | c
@@ -741,7 +724,7 @@
 _
 CSI	Enabled
 _
-Interface Stability	Committed
+Interface Stability	See below.
 _
 MT-Level	MT-Safe
 _
@@ -748,17 +731,18 @@
 Standard	See below.
 .TE
 
-.sp
 .LP
-For \fBstrftime()\fR, see \fBstandards\fR(5).
+The \fBstrftime()\fR and \fBstrftime_l()\fR functions are Standard.
+\fBcftime()\fR and \fBascftime()\fR functions are Committed.
+.LP
+For \fBstrftime()\fR and \fBstrftime_l()\fR, see \fBstandards\fR(5).
 .SH SEE ALSO
-.sp
 .LP
-\fBdate\fR(1), \fBctime\fR(3C), \fBmktime\fR(3C), \fBsetlocale\fR(3C),
-\fBstrptime\fR(3C), \fBtzset\fR(3C), \fBTIMEZONE\fR(4), \fBzoneinfo\fR(4),
+\fBdate\fR(1), \fBctime\fR(3C), \fBmktime\fR(3C),
+\fBnewlocale\fR(3C), \fBsetlocale\fR(3C), \fBstrptime\fR(3C), \fBtzset\fR(3C),
+\fBuselocale\fR(3C), \fBTIMEZONE\fR(4), \fBzoneinfo\fR(4),
 \fBattributes\fR(5), \fBenviron\fR(5), \fBstandards\fR(5)
 .SH NOTES
-.sp
 .LP
 The conversion specification for \fB%V\fR was changed in the Solaris 7 release.
 This change was based on the public review draft of the ISO C9x standard at
@@ -766,24 +750,19 @@
 January had fewer than four days in the new year, it became week 53 of the
 previous year. The ISO C9x standard committee subsequently recognized that that
 specification had been incorrect.
-.sp
 .LP
 The conversion specifications for \fB%g\fR, \fB%G\fR, \fB%Eg\fR, \fB%EG\fR, and
 \fB%Og\fR were added in the Solaris 7 release.  This change was based on the
-public review draft of the ISO C9x standard at that time. These specifications
-are evolving.  If the ISO C9x standard is finalized with a different
-conclusion, these specifications will change to conform to the ISO C9x standard
-decision.
-.sp
+public review draft of the ISO C9x standard at that time. The \fB%g\fR and
+\fB%G\fR specifications were adopted in the formal standard.  The other two
+were not, and should not be used in portable applications.
 .LP
 The conversion specification for \fB%u\fR was changed in the Solaris 8 release.
 This change was based on the XPG4 specification.
-.sp
 .LP
 If using the \fB%Z\fR specifier and \fBzoneinfo\fR timezones and if the input
 date is outside the range 20:45:52 UTC, December  13, 1901 to 03:14:07 UTC,
 January 19, 2038, the timezone name may not be correct.
-.sp
 .LP
 The conversion specification for \fB%+\fR was added in illumos.
 It is not part of any standard, although it is available on a number
--- old/usr/src/man/man3c/string.3c	Sun Jun 29 11:52:22 2014
+++ new/usr/src/man/man3c/string.3c	Sun Jun 29 11:52:22 2014
@@ -1,4 +1,5 @@
 '\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\" Copyright (c) 2008, Sun Microsystems, Inc.  All Rights Reserved.
 .\" Copyright 1989 AT&T
 .\" Portions Copyright (c) 1994 Man-cgi 1.15, Panagiotis Christias (christia@softlab.ntua.gr)
@@ -11,9 +12,10 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH STRING 3C "Jun 19, 2013"
+.TH STRING 3C "Jun 21, 2013"
 .SH NAME
-string, strcasecmp, strcasecmp_l, strncasecmp, strncasecmp_l, strcat, strncat, strlcat, strchr, strrchr,
+string, strcasecmp, strcasecmp_l, strncasecmp, strncasecmp_l, strcat, strncat,
+strlcat, strchr, strrchr,
 strcmp, strncmp, strcpy, strncpy, strlcpy, strcspn, strspn, strdup, strlen,
 strnlen, strpbrk, strsep, strstr, strtok, strtok_r \- string operations
 .SH SYNOPSIS
@@ -23,22 +25,18 @@
 
 \fBint\fR \fBstrcasecmp\fR(\fBconst char *\fR\fIs1\fR, \fBconst char *\fR\fIs2\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBstrcasecmp_l\fR(\fBconst char *\fR\fIs1\fR, \fBconst char *\fR\fIs2\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBstrncasecmp\fR(\fBconst char *\fR\fIs1\fR, \fBconst char *\fR\fIs2\fR, \fBsize_t\fR \fIn\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBstrncasecmp_l\fR(\fBconst char *\fR\fIs1\fR, \fBconst char *\fR\fIs2\fR, \fBsize_t\fR \fIn\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
 #include <string.h>
@@ -45,103 +43,83 @@
 
 \fBchar *\fR\fBstrcat\fR(\fBchar *restrict\fR \fIs1\fR, \fBconst char *restrict\fR \fIs2\fR);
 .fi
-
 .LP
 .nf
 \fBchar *\fR\fBstrncat\fR(\fBchar *restrict\fR \fIs1\fR, \fBconst char *restrict\fR \fIs2\fR, \fBsize_t\fR \fIn\fR);
 .fi
-
 .LP
 .nf
 \fBsize_t\fR \fBstrlcat\fR(\fBchar *\fR\fIdst\fR, \fBconst char *\fR\fIsrc\fR, \fBsize_t\fR \fIdstsize\fR);
 .fi
-
 .LP
 .nf
 \fBchar *\fR\fBstrchr\fR(\fBconst char *\fR\fIs\fR, \fBint\fR \fIc\fR);
 .fi
-
 .LP
 .nf
 \fBchar *\fR\fBstrrchr\fR(\fBconst char *\fR\fIs\fR, \fBint\fR \fIc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBstrcmp\fR(\fBconst char *\fR\fIs1\fR, \fBconst char *\fR\fIs2\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBstrncmp\fR(\fBconst char *\fR\fIs1\fR, \fBconst char *\fR\fIs2\fR, \fBsize_t\fR \fIn\fR);
 .fi
-
 .LP
 .nf
 \fBchar *\fR\fBstrcpy\fR(\fBchar *restrict\fR \fIs1\fR, \fBconst char *restrict\fR \fIs2\fR);
 .fi
-
 .LP
 .nf
 \fBchar *\fR\fBstrncpy\fR(\fBchar *restrict\fR \fIs1\fR, \fBconst char *restrict\fR \fIs2\fR, \fBsize_t\fR \fIn\fR);
 .fi
-
 .LP
 .nf
 \fBsize_t\fR \fBstrlcpy\fR(\fBchar *\fR\fIdst\fR, \fBconst char *\fR\fIsrc\fR, \fBsize_t\fR \fIdstsize\fR);
 .fi
-
 .LP
 .nf
 \fBsize_t\fR \fBstrcspn\fR(\fBconst char *\fR\fIs1\fR, \fBconst char *\fR\fIs2\fR);
 .fi
-
 .LP
 .nf
 \fBsize_t\fR \fBstrspn\fR(\fBconst char *\fR\fIs1\fR, \fBconst char *\fR\fIs2\fR);
 .fi
-
 .LP
 .nf
 \fBchar *\fR\fBstrdup\fR(\fBconst char *\fR\fIs1\fR);
 .fi
-
 .LP
 .nf
 \fBsize_t\fR \fBstrlen\fR(\fBconst char *\fR\fIs\fR);
 .fi
-
 .LP
 .nf
 \fBsize_t\fR \fBstrnlen\fR(\fBconst char *\fR\fIs\fR, \fBsize_t\fR \fIn\fR);
 .fi
-
 .LP
 .nf
 \fBchar *\fR\fBstrpbrk\fR(\fBconst char *\fR\fIs1\fR, \fBconst char *\fR\fIs2\fR);
 .fi
-
 .LP
 .nf
 \fBchar *\fR\fBstrsep\fR(\fBchar **\fR\fIstringp\fR, \fBconst char *\fR\fIdelim\fR);
 .fi
-
 .LP
 .nf
 \fBchar *\fR\fBstrstr\fR(\fBconst char *\fR\fIs1\fR, \fBconst char *\fR\fIs2\fR);
 .fi
-
 .LP
 .nf
 \fBchar *\fR\fBstrtok\fR(\fBchar *restrict\fR \fIs1\fR, \fBconst char *restrict\fR \fIs2\fR);
 .fi
-
 .LP
 .nf
 \fBchar *\fR\fBstrtok_r\fR(\fBchar *restrict\fR \fIs1\fR, \fBconst char *restrict\fR \fIs2\fR,
      \fBchar **restrict\fR \fIlasts\fR);
 .fi
-
 .SS "ISO C++"
 .LP
 .nf
@@ -149,22 +127,18 @@
 
 \fBconst char *\fR\fBstrchr\fR(\fBconst char *\fR\fIs\fR, \fBint\fR \fIc\fR);
 .fi
-
 .LP
 .nf
 \fBconst char *\fR\fBstrpbrk\fR(\fBconst char *\fR\fIs1\fR, \fBconst char *\fR\fIs2\fR);
 .fi
-
 .LP
 .nf
 \fBconst char *\fR\fBstrrchr\fR(\fBconst char *\fR\fIs\fR, \fBint\fR \fIc\fR);
 .fi
-
 .LP
 .nf
 \fBconst char *\fR\fBstrstr\fR(\fBconst char *\fR\fIs1\fR, \fBconst char *\fR\fIs2\fR);
 .fi
-
 .LP
 .nf
 #include <cstring>
@@ -171,24 +145,19 @@
 
 \fBchar *std::\fR\fBstrchr\fR(\fBchar *\fR\fIs\fR, \fBint\fR \fIc\fR);
 .fi
-
 .LP
 .nf
 \fBchar *std::\fR\fBstrpbrk\fR(\fBchar *\fR\fIs1\fR, \fBconst char *\fR\fIs2\fR);
 .fi
-
 .LP
 .nf
 \fBchar *std::\fR\fBstrrchr\fR(\fBchar *\fR\fIs\fR, \fBint\fR \fIc\fR);
 .fi
-
 .LP
 .nf
 \fBchar *std::\fR\fBstrstr\fR(\fBchar *\fR\fIs1\fR, \fBconst char *\fR\fIs2\fR);
 .fi
-
 .SH DESCRIPTION
-.sp
 .LP
 The arguments \fIs\fR, \fIs1\fR, and \fIs2\fR point to strings (arrays of
 characters terminated by a null character). The \fBstrcat()\fR,
@@ -201,16 +170,27 @@
 .LP
 The \fBstrcasecmp()\fR and \fBstrncasecmp()\fR functions are case-insensitive
 versions of  \fBstrcmp()\fR and \fBstrncmp()\fR respectively, described below.
-They assume the \fBASCII\fR character set and ignore differences in case when
-comparing lower and upper case characters.
+.LP
+The \fBstrcasecmp()\fR and \fBstrncasecmp()\fR functions compare two strings
+byte-by-byte, after
+converting each upper-case character to lower-case (as determined by the
+\fBLC_CTYPE\fR category of the current locale).  Note that neither the contents 
+pointed to by \fIs1\fR nor \fIs2\fR are modified.
+.LP
+The functions return an integer
+greater than, equal to, or less than 0, if the string pointed to by \fIs1\fR
+is greater than, equal to, or less than the string pointed to by \fIs2\fR
+respectively. The sign of a non-zero return value is determined  by the sign of
+the difference between the values of the first pair of bytes that differ in the
+.LP
+The \fBstrncasecmp()\fR function examines at most \fIn\fR bytes from each
+string.
 .SS "\fBstrcasecmp_l()\fR, \fBstrncasecmp_l()\fR"
-.sp
 .LP
 The \fBstrcasecmp_l()\fR and \fBstrncasecmp_l()\fR functions behave identically
 to \fBstrcasecmp()\fR and \fBstrncasecmp()\fR, except instead of operating in
 the current locale, they instead operate in the locale specified by \fIloc\fR.
 .SS "\fBstrcat()\fR, \fBstrncat()\fR, \fBstrlcat()\fR"
-.sp
 .LP
 The \fBstrcat()\fR function appends a copy of string \fIs2\fR, including the
 terminating null character, to the end of string \fIs1\fR. The \fBstrncat()\fR
@@ -219,7 +199,6 @@
 character at the end of \fIs1\fR. If copying takes place between objects that
 overlap, the behavior of \fBstrcat()\fR, \fBstrncat()\fR, and \fBstrlcat()\fR
 is undefined.
-.sp
 .LP
 The \fBstrlcat()\fR function appends  at most
 (\fIdstsize\fR-\fBstrlen\fR(\fIdst\fR)-1) characters of \fIsrc\fR to \fIdst\fR
@@ -241,9 +220,7 @@
         return \(mi1;
 .fi
 .in -2
-
 .SS "\fBstrchr()\fR, \fBstrrchr()\fR"
-.sp
 .LP
 The \fBstrchr()\fR function returns a pointer to the first occurrence of
 \fIc\fR (converted to a  \fBchar\fR) in string \fIs\fR, or a null pointer if
@@ -251,7 +228,6 @@
 pointer to the last occurrence of \fIc\fR. The null character terminating a
 string is considered to be part of the string.
 .SS "\fBstrcmp()\fR, \fBstrncmp()\fR"
-.sp
 .LP
 The \fBstrcmp()\fR function compares two strings byte-by-byte, according to the
 ordering of your machine's character set.  The function returns an integer
@@ -263,7 +239,6 @@
 but looks at a maximum of \fIn\fR bytes. Bytes following a null byte are not
 compared.
 .SS "\fBstrcpy()\fR, \fBstrncpy()\fR, \fBstrlcpy()\fR"
-.sp
 .LP
 The \fBstrcpy()\fR function copies string \fIs2\fR to \fIs1\fR, including the
 terminating null character, stopping after the null character has been copied.
@@ -272,7 +247,6 @@
 null-terminated if the length of \fIs2\fR is \fIn\fR or more. Each function
 returns \fIs1\fR.  If copying takes place between objects that overlap, the
 behavior of \fBstrcpy()\fR, \fBstrncpy()\fR, and \fBstrlcpy()\fR is undefined.
-.sp
 .LP
 The \fBstrlcpy()\fR function copies  at most \fIdstsize\fR\(mi1 characters
 (\fIdstsize\fR being the  size of the  string buffer \fIdst\fR) from \fIsrc\fR
@@ -288,7 +262,6 @@
 .in -2
 
 .SS "\fBstrcspn()\fR, \fBstrspn()\fR"
-.sp
 .LP
 The \fBstrcspn()\fR function returns the length of the initial segment of
 string \fIs1\fR that consists entirely of characters not from string \fIs2\fR.
@@ -295,7 +268,6 @@
 The \fBstrspn()\fR function returns the length of the initial segment of string
 \fIs1\fR that consists entirely of characters from string \fIs2\fR.
 .SS "\fBstrdup()\fR"
-.sp
 .LP
 The \fBstrdup()\fR function returns a pointer to a new string that is a
 duplicate of the string pointed to by  \fIs1\fR. The returned pointer can be
@@ -305,10 +277,8 @@
 storage space available is insufficient.
 .SS "\fBstrlen()\fR, \fBstrnlen()\fR"
 .sp
-.LP
 The \fBstrlen()\fR function returns the number of bytes in \fIs\fR, not
 including the terminating null character.
-.sp
 .LP
 The \fBstrnlen()\fR function returns the smaller of \fIn\fR or the number of
 bytes in \fIs\fR, not including the terminating null character. The
@@ -315,13 +285,11 @@
 \fBstrnlen()\fR function never examines more than \fIn\fR bytes of the string
 pointed to by \fIs\fR.
 .SS "\fBstrpbrk()\fR"
-.sp
 .LP
 The \fBstrpbrk()\fR function returns a pointer to the first occurrence in
 string \fIs1\fR of any character from string \fIs2\fR, or a null pointer if no
 character from \fIs2\fR exists in \fIs1\fR.
 .SS "\fBstrsep()\fR"
-.sp
 .LP
 The \fBstrsep()\fR function locates, in the null-terminated string referenced
 by *\fIstringp\fR, the first occurrence of any character in the string
@@ -329,16 +297,13 @@
 The location of the next character after the delimiter character (or
 \fINULL\fR, if the end of the string was reached) is stored in *\fIstringp\fR.
 The original value of *\fIstringp\fR is returned.
-.sp
 .LP
 An ``empty'' field (one caused by two adjacent delimiter characters) can be
 detected by comparing the location referenced by the pointer returned by
 \fBstrsep()\fR to `\e0'.
-.sp
 .LP
 If *\fIstringp\fR is initially \fINULL\fR, \fBstrsep()\fR returns \fINULL\fR.
 .SS "\fBstrstr()\fR"
-.sp
 .LP
 The \fBstrstr()\fR function locates the first occurrence of the string \fIs2\fR
 (excluding the terminating null character) in string \fIs1\fR and returns a
@@ -346,7 +311,6 @@
 \fIs2\fR points to a string with zero length (that is, the string \fB""\fR),
 the function returns  \fIs1\fR.
 .SS "\fBstrtok()\fR"
-.sp
 .LP
 A sequence of calls to \fBstrtok()\fR breaks the string pointed to by \fIs1\fR
 into a sequence of tokens, each of which is delimited by a byte from the string
@@ -354,7 +318,6 @@
 first argument, and is followed by calls with a null pointer as their first
 argument. The separator string pointed to by \fIs2\fR can be different from
 call to call.
-.sp
 .LP
 The first call in the sequence searches the string pointed to by \fIs1\fR for
 the first byte that is not contained in the current separator string pointed to
@@ -361,7 +324,6 @@
 by \fIs2\fR. If no such byte is found, then there are no tokens in the string
 pointed to by \fIs1\fR and \fBstrtok()\fR returns a null pointer. If such a
 byte is found, it is the start of the first token.
-.sp
 .LP
 The \fBstrtok()\fR function then searches from there for a byte that is
 contained in the current separator string. If no such byte is found, the
@@ -370,16 +332,13 @@
 it is overwritten by a null byte that terminates the current token. The
 \fBstrtok()\fR function saves a pointer to the following byte in
 thread-specific data, from which the next search for a token starts.
-.sp
 .LP
 Each subsequent call, with a null pointer as the value of the first argument,
 starts searching from the saved pointer and behaves as described above.
-.sp
 .LP
 See Example 1, 2, and 3 in the \fBEXAMPLES\fR section for examples of
 \fBstrtok()\fR usage and the explanation in \fBNOTES\fR.
 .SS "\fBstrtok_r()\fR"
-.sp
 .LP
 The \fBstrtok_r()\fR function considers the null-terminated string \fIs1\fR as
 a sequence of zero or more text tokens separated by spans of one or more
@@ -386,7 +345,6 @@
 characters from the separator string \fIs2\fR. The argument \fIlasts\fR points
 to a user-provided pointer which points to stored information necessary for
 \fBstrtok_r()\fR to continue scanning the same string.
-.sp
 .LP
 In the first call to \fBstrtok_r()\fR, \fIs1\fR points to a null-terminated
 string, \fIs2\fR to a null-terminated string of separator characters, and the
@@ -394,7 +352,6 @@
 returns a pointer to the first character of the first token, writes a null
 character into \fIs1\fR immediately following the returned token, and updates
 the pointer to which \fIlasts\fR points.
-.sp
 .LP
 In subsequent calls, \fIs1\fR is a null pointer and \fIlasts\fR is unchanged
 from the previous call so that subsequent calls move through the string
@@ -401,7 +358,6 @@
 \fIs1\fR, returning successive tokens until no tokens remain. The separator
 string \fIs2\fR can be different from call to call. When no token remains in
 \fIs1\fR, a null pointer is returned.
-.sp
 .LP
 See Example 3 in the \fBEXAMPLES\fR section for an example of \fBstrtok_r()\fR
 usage and the explanation in \fBNOTES\fR.
@@ -408,7 +364,6 @@
 .SH EXAMPLES
 .LP
 \fBExample 1 \fRSearch for word separators.
-.sp
 .LP
 The following example searches for tokens separated by space characters.
 
@@ -431,7 +386,6 @@
 
 .LP
 \fBExample 2 \fRBreak a Line.
-.sp
 .LP
 The following example uses strtok to break a line into two character strings
 separated by any combination of SPACEs, TABs, or NEWLINEs.
@@ -456,7 +410,6 @@
 
 .LP
 \fBExample 3 \fRSearch for tokens.
-.sp
 .LP
 The following example uses both \fBstrtok()\fR and \fBstrtok_r()\fR to search
 for tokens separated by one or more characters from the string pointed to by
@@ -495,7 +448,6 @@
 .fi
 .in -2
 
-.sp
 .LP
 When compiled and run, this example produces the following output:
 
@@ -515,12 +467,8 @@
 .in -2
 
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
 .TS
 box;
 c | c
@@ -527,7 +475,7 @@
 l | l .
 ATTRIBUTE TYPE	ATTRIBUTE VALUE
 _
-Interface Stability	Committed
+Interface Stability	See below.
 _
 MT-Level	See below.
 _
@@ -534,42 +482,40 @@
 Standard	See below.
 .TE
 
-.sp
 .LP
+The
+\fBstrlcat()\fR, \fBstrlcpy()\fR, and \fBstrsep()\fR functions are Committed.
+All the rest are Standard.
+.LP
 The \fBstrtok()\fR and \fBstrdup()\fR functions are MT-Safe. The remaining
 functions are Async-Signal-Safe.
-.sp
 .LP
 For all except \fBstrlcat()\fR, \fBstrlcpy()\fR, and \fBstrsep()\fR, see
 \fBstandards\fR(5).
 .SH SEE ALSO
-.sp
 .LP
-\fBmalloc\fR(3C), \fBsetlocale\fR(3C), \fBstrxfrm\fR(3C), \fBattributes\fR(5),
-\fBstandards\fR(5)
+\fBmalloc\fR(3C),
+\fBnewlocale(3C), \fBsetlocale\fR(3C), \fBstrxfrm\fR(3C), \fBuselocale\fR(3C),
+\fBattributes\fR(5), \fBstandards\fR(5)
 .SH NOTES
-.sp
 .LP
 When compiling multithreaded applications, the \fB_REENTRANT\fR flag must be
 defined on the compile line. This flag should only be used in multithreaded
 applications.
-.sp
 .LP
 A single-threaded application can gain access to \fBstrtok_r()\fR only by
 defining \fB__EXTENSIONS__\fR or by defining \fB_POSIX_C_SOURCE\fR to a value
 greater than or equal to 199506L.
-.sp
 .LP
-All of these functions assume the default locale ``C.'' For some locales,
+Except where noted otherwise, all of these functions assume the default
+locale ``C.'' For some locales,
 \fBstrxfrm\fR(3C) should be applied to the strings before they are passed to
 the functions.
-.sp
 .LP
 The \fBstrtok()\fR function is safe to use in multithreaded applications
 because it saves its internal state in a thread-specific data area.  However,
 its use is discouraged, even for single-threaded applications. The
 \fBstrtok_r()\fR function should be used instead.
-.sp
 .LP
 Do not pass the address of a character string literal as the argument \fIs1\fR
 to either \fBstrtok()\fR or \fBstrtok_r()\fR. Similarly, do not pass a pointer
--- old/usr/src/man/man3c/strptime.3c	Sun Jun 29 11:52:22 2014
+++ new/usr/src/man/man3c/strptime.3c	Sun Jun 29 11:52:22 2014
@@ -8,7 +8,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH STRPTIME 3C "Aug 27, 2007"
+.TH STRPTIME 3C "Jun 27, 2014"
 .SH NAME
 strptime, strptime_l \- date and time conversion
 .SH SYNOPSIS
@@ -18,12 +18,16 @@
 
 \fBchar *\fR\fBstrptime\fR(\fBconst char *restrict\fR \fIbuf\fR,
      \fBconst char *restrict\fR \fIformat\fR, \fBstruct tm *restrict\fR \fItm\fR);
+.fi
+.LP
+.nf
+#include <time.h>
+#include <xlocale.h>
 
 \fBchar *\fR\fBstrptime_l\fR(\fBconst char *restrict\fR \fIbuf\fR,
      \fBconst char *restrict\fR \fIformat\fR, \fBstruct tm *restrict\fR \fItm\fR,
      \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .SS "Non-zeroing Behavior"
 .LP
 .nf
@@ -35,7 +39,6 @@
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 The \fBstrptime()\fR function converts the character string pointed to by
 \fIbuf\fR to values which are stored in the \fBtm\fR structure pointed to by
@@ -42,7 +45,6 @@
 \fItm\fR, using the format specified by \fIformat\fR. The \fBstrptime_l()\fR
 function is identical to \fBstrptime()\fR except instead of acting in the
 current locale, it acts in the locale specified by the argument \fIloc\fR.
-.sp
 .LP
 The \fIformat\fR argument is composed of zero or more conversion
 specifications. Each conversion specification is composed of a "%" (percent)
@@ -51,12 +53,10 @@
 \fBisspace\fR(3C)) may precede or follow a conversion specification. There must
 be white-space or other non-alphanumeric characters between any two conversion
 specifications.
-.sp
 .LP
 A non-zeroing version of \fBstrptime()\fR, described below under \fBNon-zeroing
 Behavior\fR, is provided if \fB_STRPTIME_DONTZERO\fR is defined.
 .SS "Conversion Specifications"
-.sp
 .LP
 The following conversion specifications are supported:
 .sp
@@ -366,7 +366,6 @@
 .RE
 
 .SS "Modified Conversion Specifications"
-.sp
 .LP
 Some conversion specifications can be modified by the \fBE\fR and \fBO\fR
 modifier characters to indicate that an alternate format or specification
@@ -531,7 +530,6 @@
 .RE
 
 .SS "General Specifications"
-.sp
 .LP
 A conversion specification that is an ordinary character is executed by
 scanning the next character from the buffer. If the character scanned from the
@@ -543,7 +541,6 @@
 characters or any combination is executed by scanning up to the first character
 that is not white space (which remains unscanned), or until no more characters
 can be scanned.  White space is defined by \fBisspace\fR(3C).
-.sp
 .LP
 Any other conversion specification is executed by scanning characters until a
 character matching the next specification is scanned, or until no more
@@ -560,7 +557,6 @@
 request that the input date or time specification be in a specific language by
 setting the \fBLC_TIME\fR category using \fBsetlocale\fR(3C).
 .SS "Non-zeroing Behavior"
-.sp
 .LP
 In addition to the behavior described above by various standards, the Solaris
 implementation of \fBstrptime()\fR provides the following extensions. These may
@@ -583,7 +579,6 @@
 will use some values in the input \fBtm struct\fR to recalculate the date and
 re-assign the appropriate members of the \fBtm struct\fR.
 .RE
-.sp
 .LP
 The following describes extended features regardless of whether
 \fB_STRPTIME_DONTZERO\fR is defined or not defined:
@@ -603,7 +598,6 @@
 month and day of month are not given, \fBstrptime()\fR calculates and sets
 \fBtm_mon\fR, \fBtm_mday\fR, \fBtm_wday\fR, and \fBtm_year\fR.
 .RE
-.sp
 .LP
 The following describes extended features when \fB_STRPTIME_DONTZERO\fR is not
 defined:
@@ -614,7 +608,6 @@
 If \fB%C\fR is specified and \fB%y\fR is not specified, \fBstrptime()\fRassumes
 0 as the year offset, then calculates the year, and assigns \fBtm_year\fR.
 .RE
-.sp
 .LP
 The following describes extended features when \fB_STRPTIME_DONTZERO\fR is
 defined:
@@ -660,17 +653,14 @@
 \fBstrptime()\fR will subtract 12 hours and update \fBtm_hour\fR.
 .RE
 .SH RETURN VALUES
-.sp
 .LP
 Upon successful completion, \fBstrptime()\fR returns a pointer to the character
 following the last character parsed. Otherwise, a null pointer is returned.
 .SH USAGE
-.sp
 .LP
 Several "same as" formats, and the special processing of white-space characters
 are provided in order to ease the use of identical  \fIformat\fR strings for
 \fBstrftime\fR(3C) and \fBstrptime()\fR.
-.sp
 .LP
 The \fBstrptime()\fR function tries to calculate \fBtm_year\fR, \fBtm_mon\fR,
 and \fBtm_mday\fR when given incomplete input.  This allows the \fBstruct tm\fR
@@ -681,12 +671,8 @@
 in \fBtm_yday\fR when \fB%j\fR is specified without otherwise specifying a
 month and day within month.
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
 .TS
 box;
 c | c
@@ -695,16 +681,20 @@
 _
 CSI	Enabled
 _
-Interface Stability	Committed
+Interface Stability	See below.
 _
 MT-Level	MT-Safe
 _
-Standard	See \fBstandards\fR(5).
+Standard	See \fBstandards\fR(5) for \fBstrptime()\fR.
 .TE
 
+.LP
+The \fBstrptime()\fR function is Standard.  The \fBstrptime_l()\fR function
+is Uncommitted.
 .SH SEE ALSO
-.sp
 .LP
 \fBctime\fR(3C), \fBgetdate\fR(3C), \fBisspace\fR(3C), \fBmktime\fR(3C),
-\fBsetlocale\fR(3C), \fBstrftime\fR(3C), \fBattributes\fR(5), \fBenviron\fR(5),
+\fBnewlocale\fR(3C),
+\fBsetlocale\fR(3C), \fBstrftime\fR(3C), \fBuselocale\fR(3C),
+\fBattributes\fR(5), \fBenviron\fR(5),
 \fBstandards\fR(5)
